# ACE_ATM_Addr Class Reference

Defines the ATM domain address family address format. More...

`#include <ATM_Addr.h>`

Inheritance diagram for ACE_ATM_Addr:

[legend]
Collaboration diagram for ACE_ATM_Addr:

[legend]
List of all members.

## Public Member Functions

| ACE_ATM_Addr (u_char selector=DEFAULT_SELECTOR)
| Default constructor.
| ACE_ATM_Addr (const ACE_ATM_Addr &, u_char selector=DEFAULT_SELECTOR)
| Copy constructor.
| ACE_ATM_Addr (const ATM_Addr *, u_char selector=DEFAULT_SELECTOR)
| ACE_ATM_Addr (const ACE_TCHAR sap[], u_char selector=DEFAULT_SELECTOR)
| ~ACE_ATM_Addr (void)
| Default dtor.
void | init (u_char selector=DEFAULT_SELECTOR)
int | set (const ACE_ATM_Addr &, u_char selector=DEFAULT_SELECTOR)
| Initializes from another <ace_atm_addr>.
int | set (const ATM_Addr *, u_char selector=DEFAULT_SELECTOR)
int | set (const ACE_TCHAR sap[], u_char selector=DEFAULT_SELECTOR)
virtual int | string_to_addr (const ACE_TCHAR sap[])
virtual int | addr_to_string (ACE_TCHAR addr[], size_t addrlen) const
const ACE_TCHAR * | addr_to_string (void) const
virtual void * | get_addr (void) const
| Return a pointer to the underlying network address.
virtual void | set_addr (void *, int)
| Set a pointer to the address.
u_char | get_selector (void) const
| Return the selector for network address.
void | set_selector (u_char selector)
| Set the selector for the network address.
bool | operator== (const ACE_ATM_Addr &SAP) const
bool | operator!= (const ACE_ATM_Addr &SAP) const
| Compare two addresses for inequality.
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Static Public Attributes

const long | LINE_RATE = 0L
const int | OPT_FLAGS_CPID = 0
const int | OPT_FLAGS_PMP = 0
const int | DEFAULT_SELECTOR = 0x0

## Private Attributes

ATM_Addr | atm_addr_

## Detailed Description

Defines the ATM domain address family address format.

## Constructor & Destructor Documentation

ACE_ATM_Addr::ACE_ATM_Addr | ( | u_char | selector = `DEFAULT_SELECTOR` | ) |

| Default constructor.

ACE_ATM_Addr::ACE_ATM_Addr | ( | const ACE_ATM_Addr & | ,
|  | u_char | selector = `DEFAULT_SELECTOR`
| ) |

| Copy constructor.

ACE_ATM_Addr::ACE_ATM_Addr | ( | const ATM_Addr * | ,
|  | u_char | selector = `DEFAULT_SELECTOR`
| ) |

| Creates an <ace_atm_addr> from an ATMSAPAddress structure. This is vendor specific (FORE systems). May need to change when other vendors are supported.

ACE_ATM_Addr::ACE_ATM_Addr | ( | const ACE_TCHAR | sap[],
|  | u_char | selector = `DEFAULT_SELECTOR`
| ) |

| Initializes an <ace_atm_addr> from the <sap> which can be "atm-address" (e.g., "47.0005.80.ffe100.0000.f20f.2200.0020480694f9.00") or "hostname" (e.g., "frisbee.cs.wustl.edu").

ACE_ATM_Addr::~ACE_ATM_Addr | ( | void |  | ) |

| Default dtor.

## Member Function Documentation

const ACE_TCHAR * ACE_ATM_Addr::addr_to_string | ( | void |  | ) | const

| Return the character representation of the ATM address (e.g., "47.0005.80.ffe100.0000.f20f.2200.0020480694f9.00"). Returns -1 if the <size> of the <buffer> is too small, else 0.(This version is non-reentrant since it returns a pointer to a static data area.)

int ACE_ATM_Addr::addr_to_string | ( | ACE_TCHAR | addr[],
|  | size_t | addrlen
| ) | const`[virtual]`

| Return the character representation of the ATM address (e.g., "47.0005.80.ffe100.0000.f20f.2200.0020480694f9.00") storing it in the <addr> (which is assumed to be <addrlen> bytes long). This version is reentrant. Returns -1 if the <addrlen> of the <addr> is too small, else 0.

void ACE_ATM_Addr::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Addr.

void * ACE_ATM_Addr::get_addr | ( | void |  | ) | const`[virtual]`

| Return a pointer to the underlying network address. Reimplemented from ACE_Addr.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE u_char ACE_ATM_Addr::get_selector | ( | void |  | ) | const

| Return the selector for network address.

void ACE_ATM_Addr::init | ( | u_char | selector = `DEFAULT_SELECTOR` | ) |

| Default initialization for non-address values (e.g., t_atm_sap_addr.SVE_tag_addr, t_atm_sap_addr.SVE_tag_selector)

bool ACE_ATM_Addr::operator!= | ( | const ACE_ATM_Addr & | SAP | ) | const

| Compare two addresses for inequality.

bool ACE_ATM_Addr::operator== | ( | const ACE_ATM_Addr & | SAP | ) | const

| Compare two addresses for equality. The addresses are considered equal if they contain the same ATM address. Q: Is there any other check for equality needed for ATM?

int ACE_ATM_Addr::set | ( | const ACE_TCHAR | sap[],
|  | u_char | selector = `DEFAULT_SELECTOR`
| ) |

| Initializes an <ace_atm_addr> from the <sap> which can be "atm-address" (e.g., "47.0005.80.ffe100.0000.f20f.2200.0020480694f9.00") or "hostname" (e.g., "frisbee.cs.wustl.edu").

int ACE_ATM_Addr::set | ( | const ATM_Addr * | ,
|  | u_char | selector = `DEFAULT_SELECTOR`
| ) |

| Initializes an <ace_atm_addr> from an ATMSAPAddress/sockaddr_atm structure. This is vendor specific (FORE systems). May need to change when other vendors are supported.

int ACE_ATM_Addr::set | ( | const ACE_ATM_Addr & | ,
|  | u_char | selector = `DEFAULT_SELECTOR`
| ) |

| Initializes from another <ace_atm_addr>.

void ACE_ATM_Addr::set_addr | ( | void * | ,
|  | int |
| ) | `[virtual]`

| Set a pointer to the address. Reimplemented from ACE_Addr.

ACE_INLINE void ACE_ATM_Addr::set_selector | ( | u_char | selector | ) |

| Set the selector for the network address.

int ACE_ATM_Addr::string_to_addr | ( | const ACE_TCHAR | sap[] | ) | `[virtual]`

| Initializes an <ace_atm_addr> from the <sap> which can be "atm-address" (e.g., "47.0005.80.ffe100.0000.f20f.2200.0020480694f9.00") or "hostname" (e.g., "frisbee.cs.wustl.edu").

## Member Data Documentation

ACE_ATM_Addr::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Addr.

ATM_Addr ACE_ATM_Addr::atm_addr_ `[private]`

const int ACE_ATM_Addr::DEFAULT_SELECTOR = 0x0`[static]`

ACE_BEGIN_VERSIONED_NAMESPACE_DECL const long ACE_ATM_Addr::LINE_RATE = 0L`[static]`

const int ACE_ATM_Addr::OPT_FLAGS_CPID = 0`[static]`

const int ACE_ATM_Addr::OPT_FLAGS_PMP = 0`[static]`

The documentation for this class was generated from the following files:

- ATM_Addr.h
- ATM_Addr.cpp
- ATM_Addr.inl